﻿{% extends "layout.html" %}    <!-- これで元になるHTML(laytout.html)を指定 -->

{% block body %}

<div class="container">
  <div class="row align-items-center justify-content-center">
    <div class="col">
      <h1 style="margin-top: 0.5%; margin-bottom: 0%; font-size: 150%;"> <a href="/localdb/"
          style="color:rgba(0, 0, 0, 0.648);">Top Page</a> > <a href="/localdb/components"
          style="color:rgba(0, 0, 0, 0.648);">Component List</a>
        > <a href='{{ url_for('component_api.show_component', id=components['_id'], collection='component' ) }}'
          style="color:rgba(0, 0, 0, 0.648);">Component</a> > <a href="javascript:history.go(-1)" style="color:rgba(0, 0, 0, 0.648);"> QC result </a> > Pictures of Visual Inspection
      </h1>
    </div>
  </div>
</div>

<head>
  <meta charset='utf-8'/>
  <script src='static/elevatezoom-master/jquery-1.8.3.min.js'></script>
  <script src="static/elevatezoom-master/jquery.elevatezoom.js"></script>
  <link rel="stylesheet" href="static/elevatezoom-master/anopoint.css">
</head>

<div class="container">
  <div class="row align-items-center justify-content-center">
    <div class="col">
    <h1><i class="fa fa-camera"></i> Picture of Visual Inspection</h1>
    </div>
  </div>
</div>

<div class='row align-items-top justify-content-center'>
 <div class='col-md-6'>
    <div class="row align-items-center justify-content-flex-start">
      <div class="col">
        <table class="table table-sm table-bordered" style="font-size: 8pt; table-layout: fixed;">
          <thead class="table-light">
            <tr>
              <th ~~~ scope="col" class="text-left" style="word-wrap:break-word;"> Inspected module (zoom with mouseover and scroll) </th>
              <th ~~~ scope="col" class="text-left" style="word-wrap:break-word;"> Golden module </th>
            </tr>
          </thead>
          <tbody>
            <tr>
              <td>
                <img id="zoom_01" src={{ components['img'][0] }} width=80% data-image-zoom={{ components['img'][0] }} + Convert.ToBase64String((byte[])Eval("Data"))/>
              </td>
              <td>
                <img id="zoom_02" src={{ components['img'][1] }} width=80% data-image-zoom={{ components['img'][1] }} + Convert.ToBase64String((byte[])Eval("Data"))/>
               <!-- <img src={{ components['img'][1] }} width=80%/> -->
              </td>
              </tr>
              <tr>
                <td><a href={{ components['img'][0] }} download="inspected_vi.png">download Inspected module</a></td>
                <td><a href={{ components['img'][1] }} download="golden_vi.png">download Golden module</a></td>
              </tr>
             </tr>
          </tbody>
        </table>
      </div>
    </div>

    <script>
        var jqOther2 = jQuery.noConflict();
        jqOther2(function(){
           jqOther2('#zoom_01').elevateZoom({scrollZoom : true , zoomType : "window" , zoomWindowWidth : "250" , zoomWindowHeight : "250", zoomWindowPosition: 6
           });
        });
        var jqOther5 = jQuery.noConflict();
        jqOther5(function(){
           jqOther5('#zoom_02').elevateZoom({scrollZoom : true , zoomType : "window" , zoomWindowWidth : "250" , zoomWindowHeight : "250", zoomWindowPosition: 6
           });
        });
    </script>

  </div>
</div>
<br>
<div class="container">
  <a href="javascript:history.go(-1)">Back to Result page</a>
</div>


</html>
{% endblock %}
